import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { MqttclientService } from './mqttclient.service'

import { AppComponent } from './app.component';
import { LedindicatorComponent } from './ledindicator/ledindicator.component';
import { OnOffButtonComponent } from './on-off-button/on-off-button.component';
import { LedButtonGroupComponent } from './led-button-group/led-button-group.component';


@NgModule({
  declarations: [
    AppComponent,
    LedindicatorComponent,
    OnOffButtonComponent,
    LedButtonGroupComponent
  ],
  imports: [
    BrowserModule
  ],
  providers: [
    MqttclientService
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
